zenilib: FT_Module_Class_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_Module_Class_ Struct Reference

`#include <ftmodapi.h>`

## Public Attributes

FT_Module_Requester | get_interface
FT_Module_Destructor | module_done
FT_ULong | module_flags
FT_Module_Constructor | module_init
const void * | module_interface
const FT_String * | module_name
FT_Fixed | module_requires
FT_Long | module_size
FT_Fixed | module_version

## Detailed Description

Definition at line 159 of file ftmodapi.h.

## Member Data Documentation

FT_Module_Requester FT_Module_Class_::get_interface

Definition at line 171 of file ftmodapi.h.

Referenced by cff_get_interface(), and ft_module_get_service().

FT_Module_Destructor FT_Module_Class_::module_done

Definition at line 170 of file ftmodapi.h.

Referenced by Destroy_Module().

FT_ULong FT_Module_Class_::module_flags

Definition at line 161 of file ftmodapi.h.

Referenced by FT_Done_Library().

FT_Module_Constructor FT_Module_Class_::module_init

Definition at line 169 of file ftmodapi.h.

const void* FT_Module_Class_::module_interface

Definition at line 167 of file ftmodapi.h.

Referenced by FT_Get_Module_Interface(), FT_Load_Glyph(), and tt_get_interface().

const FT_String* FT_Module_Class_::module_name

Definition at line 163 of file ftmodapi.h.

Referenced by FT_Add_Module(), FT_Done_Library(), and ft_raster1_render().

FT_Fixed FT_Module_Class_::module_requires

Definition at line 165 of file ftmodapi.h.

FT_Long FT_Module_Class_::module_size

Definition at line 162 of file ftmodapi.h.

FT_Fixed FT_Module_Class_::module_version

Definition at line 164 of file ftmodapi.h.

Referenced by FT_Add_Module().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftmodapi.h